[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'nvTypes' (#nvidia-widgets)

# Rect

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Rectangle object

## Declaration

Source position: nvtypes.pas line 27

`type Rect = object`
`x: Integer;` |  | X position of top left point
`y: Integer;` |  | Y position of top left point
`w: Integer;` |  | Width of rectangle
`h: Integer;` |  | Height of rectangle
`procedure Rect();` |  | Constructor for the Rect object
`end;`

## Inheritance

`Rect` |  | Rectangle object